Connectors

List Connectors

get

Retrieves a paginated list of connectors. Can be filtered by canonical_key, system, and other criteria. Note: In the Patchworks dashboard, a connector is known as an instance.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • authenticationImplementation

  • authenticationImplementation_count

  • authenticationImplementationExists

  • authenticationImplementation.authenticationType

  • authenticationImplementation.system

  • authenticationImplementation.system.logo

  • authenticationImplementation.endpoints

  • authenticationImplementation.endpoints.filters

  • authenticationImplementation.endpoints.endpointSchema

  • authenticationImplementation.endpoints.system

  • authenticationImplementation.endpoints.system.logo

  • authenticationImplementation.endpoints.entityType

  • authenticationImplementation.endpoints.fieldTags

  • authenticationImplementation.system.systemType

  • variables

  • variables_count

  • variablesExists

  • authenticationImplementation.endpoints.variables

  • certificate

  • certificate_count

  • certificateExists

  • certificate.user

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • forSystemTemplate

  • forSession

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[canonical_key]stringOptional

Filter results by canonical_key.

filter[forSystemTemplate]stringOptional

Filter results by forSystemTemplate.

filter[system]stringOptional

Filter results by system.

filter[system_template_id]stringOptional

Filter results by system_template_id.

filter[forSession]stringOptional

Filter results by forSession.

filter[platformSession]stringOptional

Filter results by platformSession.

includestringOptional

Comma-separated list of relationships to include. Available: authenticationImplementation.authenticationType, authenticationImplementation.system, authenticationImplementation.system.logo, authenticationImplementation.endpoints, authenticationImplementation.endpoints.filters, authenticationImplementation.endpoints.endpointSchema, authenticationImplementation.endpoints.system, authenticationImplementation.endpoints.system.logo, authenticationImplementation.endpoints.entityType, authenticationImplementation.endpoints.fieldTags, authenticationImplementation.system.systemType, variables, authenticationImplementation.endpoints.variables, certificate.user

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/connectors

Create Connector

post

Creates a new connector. Note: In the Patchworks dashboard, a connector is known as an instance.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

name

string

authentication_implementation_id

timezone

string

date_format

string

rate_limit_unit

string

rate_limit_duration

integer

connection_pool_id

integer

variables

variables.*.key

string

variables.*.value

string

variables.*.label

string

variables.*.secret

variables.*.locked

variables.*.pivot.alias

string

variables.*.pivot.configurable

variables.*.pivot.required

variables.*.pivot.advanced

session_id

string

platform_app_key

string

certificate_id

string

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Body
authentication_implementation_idstringRequired
timezonestringRequired
date_formatstringRequired
rate_limit_unitstring · enumRequiredPossible values:
rate_limit_durationintegerRequired
connection_pool_idinteger · nullableOptional
session_idstring · nullableOptional
platform_app_keystringOptional
certificate_idstring · nullableOptional
namestringRequired
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/connectors

Get Connector

get

Retrieves details for a given connector. Note: In the Patchworks dashboard, a connector is known as an instance.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • authenticationImplementation

  • authenticationImplementation_count

  • authenticationImplementationExists

  • authenticationImplementation.authenticationType

  • authenticationImplementation.system

  • authenticationImplementation.system.logo

  • authenticationImplementation.endpoints

  • authenticationImplementation.endpoints.filters

  • authenticationImplementation.endpoints.endpointSchema

  • authenticationImplementation.endpoints.system

  • authenticationImplementation.endpoints.system.logo

  • authenticationImplementation.endpoints.entityType

  • authenticationImplementation.endpoints.fieldTags

  • authenticationImplementation.system.systemType

  • variables

  • variables_count

  • variablesExists

  • authenticationImplementation.endpoints.variables

  • certificate

  • certificate_count

  • certificateExists

  • certificate.user

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • forSystemTemplate

  • forSession

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • name

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
connectorstringRequired

The connector identifier.

Query parameters
filter[canonical_key]stringOptional

Filter results by canonical_key.

filter[forSystemTemplate]stringOptional

Filter results by forSystemTemplate.

filter[system]stringOptional

Filter results by system.

filter[system_template_id]stringOptional

Filter results by system_template_id.

filter[forSession]stringOptional

Filter results by forSession.

filter[platformSession]stringOptional

Filter results by platformSession.

includestringOptional

Comma-separated list of relationships to include. Available: authenticationImplementation.authenticationType, authenticationImplementation.system, authenticationImplementation.system.logo, authenticationImplementation.endpoints, authenticationImplementation.endpoints.filters, authenticationImplementation.endpoints.endpointSchema, authenticationImplementation.endpoints.system, authenticationImplementation.endpoints.system.logo, authenticationImplementation.endpoints.entityType, authenticationImplementation.endpoints.fieldTags, authenticationImplementation.system.systemType, variables, authenticationImplementation.endpoints.variables, certificate.user

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/connectors/{connector}

Update Connector

put

Update an existing connector. Note: In the Patchworks dashboard, a connector is known as an instance.

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

authentication_implementation_id

name

string

type

string

timezone

string

date_format

string

rate_limit_unit

string

rate_limit_duration

integer

connection_pool_id

integer

variables

variables.*.id

string

variables.*.key

string

variables.*.value

string

variables.*.label

string

variables.*.secret

variables.*.locked

variables.*.pivot.alias

string

variables.*.pivot.configurable

variables.*.pivot.required

variables.*.pivot.advanced

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
connectorstringRequired

The connector identifier.

Body
authentication_implementation_idstringOptional
typestringOptional
timezonestringOptional
date_formatstringOptional
rate_limit_unitstring · enumOptionalPossible values:
rate_limit_durationintegerOptional
connection_pool_idinteger · nullableOptional
namestringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/connectors/{connector}

Delete Connector

delete

Delete an existing connector. Note: In the Patchworks dashboard, a connector is known as an instance.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
connectorstringRequired

The connector identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/connectors/{connector}

Test Connector

post

Test the connection to ensure authentication credentials are valid . Note: In the Patchworks dashboard, a connector is known as an instance.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
connectorstringRequired

The connector identifier.

Responses
chevron-right
200

Successful response

No content

post
/api/v1/connectors/{connector}/test

No content

Last updated

Was this helpful?